SeExpr

Public Member Functions | Public Attributes | List of all members
SeDeepWaterParams Struct Reference

`#include <ExprDeepWater.h>`

## Public Member Functions
| SeDeepWaterParams ()
| SeDeepWaterParams (int resolutionIn, double tileSizeIn, double lengthCutoffIn, double amplitudeIn, double windAngleIn, double windSpeedIn, double directionalFactorExponentIn, double directionalReflectionDampingIn, const SeExpr2::Vec3d &flowDirectionIn, double sharpenIn, double timeIn, double filterWidthIn)

## Public Attributes
int | resolution
double | tileSize
double | lengthCutoff
double | amplitude
double | windAngle
double | windSpeed
double | directionalFactorExponent
double | directionalReflectionDamping
SeExpr2::Vec3d | flowDirection
double | sharpen
double | time
double | filterWidth

## Detailed Description

Definition at line 33 of file ExprDeepWater.h.

## Constructor & Destructor Documentation

## ◆ SeDeepWaterParams() [1/2]

SeDeepWaterParams::SeDeepWaterParams | ( |  | ) |
| inline

Definition at line 34 of file ExprDeepWater.h.

## ◆ SeDeepWaterParams() [2/2]

SeDeepWaterParams::SeDeepWaterParams | ( | int | resolutionIn,
|  | double | tileSizeIn,
|  | double | lengthCutoffIn,
|  | double | amplitudeIn,
|  | double | windAngleIn,
|  | double | windSpeedIn,
|  | double | directionalFactorExponentIn,
|  | double | directionalReflectionDampingIn,
|  | const SeExpr2::Vec3d & | flowDirectionIn,
|  | double | sharpenIn,
|  | double | timeIn,
|  | double | filterWidthIn
| ) |  |
| inline

Definition at line 35 of file ExprDeepWater.h.

## Member Data Documentation

## ◆ amplitude

double SeDeepWaterParams::amplitude

Definition at line 55 of file ExprDeepWater.h.

Referenced by DeepWaterScene::amplitudeChanged(), DeepWaterEditable::appendString(), SeDeepWater< T >::powerLaw(), and ExprDeepWater::setParams().

## ◆ directionalFactorExponent

double SeDeepWaterParams::directionalFactorExponent

Definition at line 58 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), DeepWaterScene::directionalFactorExponentChanged(), SeDeepWater< T >::generateSpectrum(), SeDeepWater< T >::powerLaw(), and ExprDeepWater::setParams().

## ◆ directionalReflectionDamping

double SeDeepWaterParams::directionalReflectionDamping

Definition at line 59 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), DeepWaterScene::directionalReflectionDampingChanged(), and ExprDeepWater::setParams().

## ◆ filterWidth

double SeDeepWaterParams::filterWidth

Definition at line 63 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString().

## ◆ flowDirection

SeExpr2::Vec3d SeDeepWaterParams::flowDirection

Definition at line 60 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), DeepWaterScene::flowDirectionChanged(), and ExprDeepWater::setParams().

## ◆ lengthCutoff

double SeDeepWaterParams::lengthCutoff

Definition at line 54 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), SeDeepWater< T >::generateSpectrum(), DeepWaterScene::lengthCutoffChanged(), and ExprDeepWater::setParams().

## ◆ resolution

int SeDeepWaterParams::resolution

Definition at line 52 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), DeepWaterScene::resolutionChanged(), SeDeepWater< T >::setParams(), and ExprDeepWater::setParams().

## ◆ sharpen

double SeDeepWaterParams::sharpen

Definition at line 61 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), ExprDeepWater::setParams(), and DeepWaterScene::sharpenChanged().

## ◆ tileSize

double SeDeepWaterParams::tileSize

Definition at line 53 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), SeDeepWater< T >::generateSpectrum(), ExprDeepWater::setParams(), and DeepWaterScene::tileSizeChanged().

## ◆ time

double SeDeepWaterParams::time

Definition at line 62 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString().

## ◆ windAngle

double SeDeepWaterParams::windAngle

Definition at line 56 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), ExprDeepWater::setParams(), and DeepWaterScene::windAngleChanged().

## ◆ windSpeed

double SeDeepWaterParams::windSpeed

Definition at line 57 of file ExprDeepWater.h.

Referenced by DeepWaterEditable::appendString(), SeDeepWater< T >::generateSpectrum(), ExprDeepWater::setParams(), and DeepWaterScene::windSpeedChanged().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprDeepWater.h